# Drift-meter

Program do obliczania różnic w prędkości zegarów różnych urządzeń.

Oblicza, o ile należy dostosować wszystkie nagrania, aby były w zgodnym zegarze względem wybranego pliku.

## Sposób użycia

1. Wczytaj wszystkie pliki do Audacity (zarówno video, jak i audio. Audacity przekonwertuje sobie pliki wideo na audio w locie).

2. Utwórz etykiety punktowe, które precyzyjnie zaznaczają charakterystyczne punkty w czasie (np. klapsy):

- punkty dzielą się na dwie kategorie - A i B;
- jest tak dlatego, że robimy dwie sekwencje klaśnięć - jedną od Arka i jedną od Kuby.
- przykładowo można wybrać dla klaśnięć Arka kategorię A, a dla klaśnięć Kuby - kategorię B.
- etykiety muszą mieć określoną nazwę: `NAZWAPLIKU-SUFFIX`, gdzie `NAZWAPLIKU`
  to nazwa ścieżki, której dotyczy dana etykieta, a `SUFFIX` to `startA`,
  `endA`, `startB` lub `endB`. Przykładowe poprawne nazwy etykiet:
  `VID-20210110-1891-startA`, `odc25-kuba-endB`;
- w przyszłości stworzymy makro, które ułatwia tworzenie poprawnie nazwanych
  etykiet, ale to nie jest aż taka pracochłonna czynność, aby to automatyzować.

3. Wyeksportuj etykiety do pliku (File => Export => Export Labels...), np. `sync-info.txt`

4. Odpal skrypt `measure-drift.mjs sync-info.txt odc25-kuba`. `sync-info.txt` w
   tym przykładzie to ścieżka do pliku z wyeksportowanymi labelkami, a
   `odc25-kuba` to nazwa tej jednej wybranej ścieżki, której prędkości nie
   będziemy zmieniać. Musimy zawsze wybrać jedną ścieżkę, która będzie tą
   referencyjną. Skrypt wypisze na stdout informacje o tym, o ile trzeba zmienić
   prędkość danego pliku, aby dostosować do tego jednego wybranego.
